export declare const defaultTheme: {
    menu: {
        wrapper: string;
        screenWrapper: string;
        screenContainer: string;
        screenMenuWrapper: string;
        screenMenuContainer: string;
        screenMenuItem: {
            base: string;
            default: string;
            active: string;
        };
        mobileWrapper: string;
        mobileContainer: string;
        mobileMenuItem: {
            base: string;
            default: string;
            active: string;
        };
        menuButton: {
            container: string;
            button: string;
            icon: string;
            closeIcon: string;
        };
        logo: {
            wrapper: string;
            container: string;
            text: string;
            image: string;
            mobileImage: string;
        };
    };
    menuItem: {
        base: string;
        disabled: string;
    };
    button: {
        small: string;
        medium: string;
        large: string;
        disabled: string;
        variants: {
            default: string;
            secondary: string;
            alternate: string;
            text: string;
            warning: string;
            error: string;
        };
        buttonGroup: {
            base: string;
            active: string;
            order: {
                first: string;
                middle: string;
                last: string;
            };
        };
    };
    link: {
        base: string;
    };
    dropdown: {
        wrapper: string;
        transition: {
            enterActiveClass: string;
            enterFromClass: string;
            enterToClass: string;
            leaveActiveClass: string;
            leaveFromClass: string;
            leaveToClass: string;
        };
        menu: string;
    };
    footer: {
        wrapper: string;
        absolute: string;
        container: string;
    };
    tooltip: {
        base: string;
        disabled: string;
        hover: string;
    };
    icon: {
        base: string;
        variants: {
            contrast: string;
        };
    };
    dropdownItem: {
        base: string;
        disabled: string;
    };
    headline: {
        base: string;
    };
    title: {
        base: string;
    };
    subtitle: {
        base: string;
    };
    body: {
        base: string;
    };
};
