import type { UTheme } from '@/types';
export declare const componentThemes: (((tokens: import("@/types").UTokens) => {
    menu: {
        wrapper: string;
        screenWrapper: string;
        screenContainer: string;
        screenMenuWrapper: string;
        screenMenuContainer: string;
        screenMenuItem: {
            base: string;
            default: string;
            active: string;
        };
        mobileWrapper: string;
        mobileContainer: string;
        mobileMenuItem: {
            base: string;
            default: string;
            active: string;
        };
        menuButton: {
            container: string;
            button: string;
            icon: string;
            closeIcon: string;
        };
        logo: {
            wrapper: string;
            container: string;
            text: string;
            image: string;
            mobileImage: string;
        };
    };
}) | ((tokens: import("@/types").UTokens) => {
    button: {
        small: string;
        medium: string;
        large: string;
        disabled: string;
        variants: {
            default: string;
            secondary: string;
            alternate: string;
            text: string;
            warning: string;
            error: string;
        };
        buttonGroup: {
            base: string;
            active: string;
            order: {
                first: string;
                middle: string;
                last: string;
            };
        };
    };
}) | ((tokens: import("@/types").UTokens) => {
    link: {
        base: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    dropdown: {
        wrapper: string;
        transition: {
            enterActiveClass: string;
            enterFromClass: string;
            enterToClass: string;
            leaveActiveClass: string;
            leaveFromClass: string;
            leaveToClass: string;
        };
        menu: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    footer: {
        wrapper: string;
        absolute: string;
        container: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    tooltip: {
        base: string;
        disabled: string;
        hover: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    icon: {
        base: string;
        variants: {
            contrast: string;
        };
    };
}) | ((tokens: import("@/types").UTokens) => {
    dropdownItem: {
        base: string;
        disabled: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    headline: {
        base: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    title: {
        base: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    subtitle: {
        base: string;
    };
}) | ((tokens: import("@/types").UTokens) => {
    body: {
        base: string;
    };
}) | (() => {
    menuItem: {
        base: string;
        disabled: string;
    };
}))[];
export declare const createTheme: (tokens: any, components: Array<Function>) => UTheme;
export declare const tokenMap: {
    text: string;
    primary: string;
    layoutBackground: string;
    error: string;
    warning: string;
    success: string;
    textContrast: string;
    background: string;
    layoutHover: string;
    layoutBorder: string;
    layoutContrast: string;
    layoutHeavyContrast: string;
    link: string;
};
